Preflight a webhook configurationpost https://{tenanturl}/config/v1.0/webhooks/pretestTest a webhook configuration before creation.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requestsâŠLoadingLoadingâŠBody ParamsThe webhook configuration object to be stored.authenticationobjectWebhookAuthentication composes all of the different supported authentication types for webhook requestsauthentication objectexpectedStatusarray of int64sExpectedStatus is the HTTP status expected from the API invoked by this webhook. If not present a status code between 200 and 299 is expected (inclusive). Expected status is checked prior to the incoming transform executing.expectedStatusADD int64headersarray of objectsHeaders with static values to include in the requests made by this webhook when invoked. Can be overridden using a transform.headersADD objectmetadataobjectMetadata contains metadata about a configuration. objectnamestringrequiredName of the webhooknotificationobjectNotificationWebhookConfig is the criteria used to select notifications for sendingnotification objectpurposearray of stringsrequiredPurpose of this webhook. What extensions or integrations is it achieving. Valid purposes can be found using the purposes API.purpose*ADD stringreferencesarray of objectsReferences to this webhook by extensions or integrations. Readonly. A Webhook cannot be deleted while it has any references.referencesADD objectresourcesobjectResources defined by this webhook.resources objecttransformobjecttransform objecttypestringrequiredType of webhook. Options are 'realtime' and 'notification'urlsarray of stringsrequiredURLs this webhook should use when invoked. Accessed in round-robin manner. Often failing URLs will be dropped from rotation for 5 minutes. At least one URL must be provided. When a URL is configured with the protocol 'http://' the connection made to the webhook will be insecure. Use the protocol 'https://' to establish a secure connection. The IBM Security Verify truststores will be used.urls*ADD stringResponses 200Webhook Test object 400The request cannot be processed because the request body contains improperly structured JSON. 401The unauthenticated user does not have the permissions to perform the requested operation. 403The unauthenticated user does not have the permissions to perform the requested operation. 404The resource cannot be found. 500Internal Server Error.Updated over 2 years ago